Bug 1548046 - py4j renamed to python2-py4j
Summary: py4j renamed to python2-py4j
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: py4j
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 15:19 UTC by Dusan Bobak
Modified: 2018-03-16 18:32 UTC (History)
1 user (show)

Fixed In Version: py4j-0.10.6-4.fc26 py4j-0.10.6-4.fc27 py4j-0.10.6-4.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-03-13 17:17:12 UTC


Attachments (Terms of Use)

Description Dusan Bobak 2018-02-22 15:19:08 UTC
Description of problem:
py4j-0.10.6-1.el7.noarch.rpm  is missing in EPEL repo 

Version-Release number of selected component (if applicable):
0.10.6-1.el7

How reproducible:
install py4j-0.9.1-1.el7.noarch (as dependency py4j-java = 0.9.1-1.el7 is installed)

then try to update it
as py4j-java is version 0.10.6-1 available but py4j is not...update failed b



Actual results:
dependency issue

Expected results:
clean update

Additional info:
Error: Package: py4j-0.9.1-1.el7.noarch (@patch-2018-1-external-x86_64_epel) 
           Requires: py4j-java = 0.9.1-1.el7 
           Removing: py4j-java-0.9.1-1.el7.noarch (@patch-2018-1-external-x86_64_epel) 
               py4j-java = 0.9.1-1.el7 
           Updated By: py4j-java-0.10.6-1.el7.noarch (patch-2018-1-external-x86_64_epel) 
               py4j-java = 0.10.6-1.el7 


patch-2018-1 are cloned channels in spacewalk (sync of epel)

Comment 1 Raphael Groner 2018-02-22 19:01:20 UTC
Thanks for the report.

The new package name is python2-py4j and it needs some virtual Provides and Obsoletes to ensure proper update functionality.
https://fedoraproject.org/wiki/Packaging:Naming?rd=Packaging:NamingGuidelines#Python_source_package_naming
https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages

Comment 2 Raphael Groner 2018-02-22 19:40:18 UTC
Fix is also needed in rawhide.

Comment 3 Fedora Update System 2018-02-27 21:01:55 UTC
py4j-0.10.6-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ca884a16c0

Comment 4 Fedora Update System 2018-02-27 21:02:03 UTC
py4j-0.10.6-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c296c1b41

Comment 5 Fedora Update System 2018-02-27 21:02:09 UTC
py4j-0.10.6-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-e7d4891310

Comment 6 Fedora Update System 2018-02-28 17:38:05 UTC
py4j-0.10.6-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-e7d4891310

Comment 7 Fedora Update System 2018-02-28 18:09:25 UTC
py4j-0.10.6-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-3c296c1b41

Comment 8 Fedora Update System 2018-02-28 18:56:44 UTC
py4j-0.10.6-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ca884a16c0

Comment 9 Fedora Update System 2018-03-13 17:17:12 UTC
py4j-0.10.6-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-03-13 23:12:21 UTC
py4j-0.10.6-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-03-16 18:32:30 UTC
py4j-0.10.6-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.